import { r as registerInstance, c as createEvent, h, H as Host } from './index-CV0Pyo1O.js';
import { c as checkoutStore } from './checkout.store-DibfdUMm.js';
import './index-cDVGjRkU.js';
import './index-DkoufM1t.js';

const SaveNewPaymentMethod = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.checkboxChanged = createEvent(this, "checkboxChanged", 7);
        this.label = 'Save New Payment Method';
        this.isChecked = false;
        this.handleCheckboxChange = (_name, value) => {
            this.isChecked = value;
            checkoutStore.savePaymentMethod = value;
            this.checkboxChanged.emit(this.isChecked);
        };
    }
    render() {
        return (h(Host, { key: 'a5ecfa60f9f55bdb91343394c1dd5bea542c20ed', hidden: this.hidden }, h("form-control-checkbox", { key: '282476dea11415eeec68336577ff17a5c03baad2', label: this.label || 'Save New Payment Method', name: "saveNewPaymentMethod", checked: this.isChecked, inputHandler: this.handleCheckboxChange })));
    }
};

export { SaveNewPaymentMethod as save_new_payment_method };
